Skip to main content
`Ctrl`+`K`

# TaoSetEqualityConstraintsRoutine

Sets a function to be used to compute constraints. Tao only handles constraints under certain conditions, see TAO: Optimization Solvers for details

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetEqualityConstraintsRoutine(Tao tao, Vec ce, PetscErrorCode (*func)(Tao tao, Vec x, Vec ce, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- ce - A vector that will be used to store equality constraint evaluation

- func - the bounds computation routine

- ctx - [optional] user-defined context for private data for the equality constraints computation (may be `NULL`)

## Calling sequence of `func`

- tao - the `Tao` solver

- x - point to evaluate equality constraints

- ce - vector of equality constraints evaluated at x

- ctx - the (optional) user-defined function context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetObjective()`, `TaoSetHessian()`, `TaoSetObjectiveAndGradient()`, `TaoSetVariableBounds()`

## Level

intermediate

## Location

src/tao/interface/taosolver_bounds.c

## Examples

src/tao/constrained/tutorials/maros.c
src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages